Bug 991734 - [mom]supervdsm log is flooded with: 'supervdsmServer::88::SuperVdsm.ServerCallback::(wrapper) calling to ksmTune with ({},) {}'
[mom]supervdsm log is flooded with: 'supervdsmServer::88::SuperVdsm.ServerCa...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mom (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Doron Fediuck
Lukas Svaty
Cheryn Tan
sla
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 04:03 EDT by Elad
Modified: 2016-02-10 15:14 EST (History)
11 users (show)

See Also:
Fixed In Version: is17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (19.38 KB, application/x-gzip)
2013-08-04 04:03 EDT, Elad
no flags Details
mom logs (327.52 KB, application/x-gzip)
2013-08-05 09:42 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17711 None None None Never

  None (edit)
Description Elad 2013-08-04 04:03:03 EDT
Created attachment 782419 [details]
logs

Description of problem:
supervdsm.log is flooded with this message:

MainProcess|PolicyEngine::DEBUG::2013-08-04 10:58:32,482::supervdsmServer::88::SuperVdsm.ServerCallback::(wrapper) calling to ksmTune with ({},) {}

[root@nott-vds2 ~]# less /var/log/vdsm/supervdsm.log grep 'alling to ksmTune with' |wc -l
97949


Version-Release number of selected component (if applicable):
vdsm-4.12.0-rc3.12.git139ec2f.el6ev.x86_64


Additional info: supervdsm and vdsm logs
Comment 1 Dan Kenigsberg 2013-08-04 17:02:45 EDT
I wonder why mom needs to call ksmTune so often. I prefer solving this in mom (by calling ksmTune only on state changes) over hiding the issue by silencing the logs.
Comment 2 Doron Fediuck 2013-08-05 09:36:35 EDT
Can you please attach mom's log file?
Comment 3 Elad 2013-08-05 09:42:05 EDT
Created attachment 782844 [details]
mom logs
Comment 4 Doron Fediuck 2013-08-06 05:26:37 EDT
(In reply to Elad from comment #3)
> Created attachment 782844 [details]
> mom logs

Thanks Elad. Which mom version are you using?
Comment 5 Elad 2013-08-06 05:30:24 EDT
mom-0.3.2-2.el6ev.noarch
Comment 6 Doron Fediuck 2013-08-06 10:29:31 EDT
Please upgrade to mom-0.3.2-3.
Comment 7 Elad 2013-08-06 10:45:36 EDT
(In reply to Doron Fediuck from comment #6)
> Please upgrade to mom-0.3.2-3.

Reproduces also with mom-0.3.2-3

MainProcess|PolicyEngine::DEBUG::2013-08-06 17:42:09,209::supervdsmServer::88::SuperVdsm.ServerCallback::(wrapper) calling to ksmTune with ({},) {}
MainProcess|PolicyEngine::DEBUG::2013-08-06 17:42:19,239::supervdsmServer::88::SuperVdsm.ServerCallback::(wrapper) calling to ksmTune with ({},) {}


[root@black-vds1 ~]# rpm -q mom
mom-0.3.2-3.el6ev.noarch


I'll check with the patch
Comment 8 Lukas Svaty 2013-10-15 03:37:37 EDT
tested on is18 (mom-0.3.2-6.el6ev.noarch)
Comment 9 Itamar Heim 2014-01-21 17:13:01 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:21:04 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.